using skyscraper5.Skyscraper.IO;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace skyscraper5.src.Id3.Frames
{
	internal class PrivateFrame : Id3Frame
	{
		public PrivateFrame(byte[] buffer, ushort flags)
			: base(flags)
		{
			MemoryStream ms = new MemoryStream(buffer, false);
			OwnerIdentifier = ms.ReadAsciiNullTerminated();
			PrivateData = ms.ReadBytes(ms.GetAvailableBytes());
		}

		public string OwnerIdentifier { get; }
		public byte[] PrivateData { get; }
	}
}
